%def_with _octave_arch
BuildRequires: gcc-fortran
%define octave_pkg_name nlwing2
%define octave_descr_name NLWing2
Name: octave-%octave_pkg_name
Version: 1.2.0
Release: alt2.M70T.1
Summary: Nonlinear Lifting Line for Wings

Group: Sciences/Mathematics
License: GPL v3
Url: http://octave.sourceforge.net/

Source0: %octave_pkg_name-%version.tar.gz

BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel
%else
BuildArch: noarch
%endif
# Depends: octave (>= 3.0.0)
Requires: octave >= 3.0.0
Provides: octave(nlwing2) = 1.2.0


%description
Octave-Forge - Extra packages for GNU Octave.
This package contains the %octave_descr_name GNU Octave extension.

Extension Description:
This package allows efficient computation of nonlinear aerodynamic

%prep
%setup -n %octave_pkg_name

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps %octave_pkg_name-%version.tar.gz"

%files
%_datadir/octave/packages/%octave_pkg_name-%version
%if_with _octave_arch
%_libdir/octave/packages/%octave_pkg_name-%version
%endif

%changelog
* Sun Aug 23 2015 Cronport Service <cronport@altlinux.org> 1.2.0-alt2.M70T.1
- backport

* Wed Jan 15 2014 Cronport Service <cronport@altlinux.org> 1.2.0-alt1.M70T.1
- backport

* Thu Nov 17 2011 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1
- initial import by octave-package-builder

